Subject: Trouble building wu-ftpd on Sun 4.1.3U1 [1144] [1146]

From: Bill Burge <[email-masked]>
Date: Tue, 17 Jan 1995 14:14:03 -0800 (PST)

->
->I have a Sparc 5 running Sun OS 4.1.3U1.  I am trying to build the
->wu-ftp2.4 and I keep running into trouble.  I am using gcc-2.6.3 for the
->build.  I am not very experienced at building packages, so I thought I
->would ask for help here.  I am including the significant portion of the
->build output below.  Can anyone point me in the right direction?
->
->I did not change any of the default paths in the src/pathnames.h file, in
->case that makes a difference.
->
->Thanks!
->
->Marty Hoff
->
->
->Build output ------------------------------
->
->Making ftpd.
->gcc -g -DDEBUG -I.. -I../support -L../support  -target sun4 -c  ftpd.c
->ftpd.c: In function `statcmd':
->ftpd.c:1972: `typenames' undeclared (first use this function)
->ftpd.c:1972: (Each undeclared identifier is reported only once
->ftpd.c:1972: for each function it appears in.)
->ftpd.c:1974: `formnames' undeclared (first use this function)
->ftpd.c:1982: `strunames' undeclared (first use this function)
->ftpd.c:1982: `modenames' undeclared (first use this function)
->*** Error code 1
->make: Fatal error: Command failed for target `ftpd.o'
-> 
->Making ftpcount.
->gcc -g -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c
->vers.o -lsupport
->gcc: vers.o: No such file or directory
->*** Error code 1
->make: Fatal error: Command failed for target `ftpcount'
->
->

The readme refers to an ???.h file that needs to be replaced from one that was
in the wu-ftpd  tar file....

Bill [email-masked]